openSUSE Security Update : libXfixes (openSUSE-SU-2013:1014-1)

Medium Nessus Plugin ID 75029

Synopsis

The remote openSUSE host is missing a security update.

Description

This update of libXfixes fixes an integer overflow issue :

- U_0001-integer-overflow-in-XFixesGetCursorImage-CVE-2013
-19.patch

- integer overflow in XFixesGetCursorImage() [CVE-2013-1983] (bnc#821667, bnc#815451)

Solution

Update the affected libXfixes packages.

See Also

https://bugzilla.novell.com/show_bug.cgi?id=815451

https://bugzilla.novell.com/show_bug.cgi?id=821667

https://lists.opensuse.org/opensuse-updates/2013-06/msg00144.html

Plugin Details

Severity: Medium

ID: 75029

File Name: openSUSE-2013-488.nasl

Version: 1.4

Type: local

Agent: unix

Published: 2014/06/13

Updated: 2018/11/10

Dependencies: 12634

Risk Information

Risk Factor: Medium

CVSS v2.0

Base Score: 6.8

Temporal Score: 5

Vector: CVSS2#AV:N/AC:M/Au:N/C:P/I:P/A:P

Temporal Vector: CVSS2#E:U/RL:OF/RC:C

Vulnerability Information

CPE: p-cpe:/a:novell:opensuse:libXfixes-debugsource, p-cpe:/a:novell:opensuse:libXfixes-devel, p-cpe:/a:novell:opensuse:libXfixes-devel-32bit, p-cpe:/a:novell:opensuse:libXfixes3, p-cpe:/a:novell:opensuse:libXfixes3-32bit, p-cpe:/a:novell:opensuse:libXfixes3-debuginfo, p-cpe:/a:novell:opensuse:libXfixes3-debuginfo-32bit, cpe:/o:novell:opensuse:12.2, cpe:/o:novell:opensuse:12.3

Required KB Items: Host/local_checks_enabled, Host/SuSE/release, Host/SuSE/rpm-list, Host/cpu

Exploit Available: false

Exploit Ease: No known exploits are available

Patch Publication Date: 2013/05/31

Reference Information

CVE: CVE-2013-1983

BID: 60125, 60237